.globl ent_draw
.globl ent_clear_last
.globl ent_clear_current
.globl ent_update
;;-----------------------------LICENSE NOTICE------------------------------------
;; This file is part of IndigoGame
;; Copyright 2018 José Agulló García, David Azuar Alonso, Elza Sarrías Alieva
;;
;; IndigoGame is free software: you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; IndigoGame is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with IndigoGame.  If not, see <https://www.gnu.org/licenses/>.
;;-------------------------------------------------------------------------------

.globl hero_data

.globl hero_moves_x
.globl hero_moves_y
.globl restore_hero

hero_vy = 2
hero_vx = 1
hero_w 	= 8
hero_h 	= 16

hero_ix = 36
hero_iy = 48

.macro DefineEntity _name, _x, _y, _vx, _vy, _w, _h, _sp, _upd, _aimx, _aimy, _lastShoot, _last_x, _last_y
_name: 
   .db    _x, _y     	;; X, Y
   .db   _vx, _vy    	;; VX, VY
   .db    _w, _h     	;; W, H
   .dw   _sp         	;; Pointer to sprite
   .dw   _upd        	;; Update
   .db   _aimx, _aimy   ;; aim direction
   .db   _lastShoot     ;; time since last shoot
   .db   _last_x, _last_y
_name'_size = . - _name	;; Size of the entity 
.endm

e_x 	= 0
e_y 	= 1
e_vx 	= 2
e_vy	= 3
e_w 	= 4
e_h 	= 5
e_sp_l 	= 6
e_sp_h 	= 7
e_up_l 	= 8
e_up_h 	= 9
e_aimx = 10 
e_aimy = 11 
e_lastShoot = 12
e_lx = 13
e_ly = 14


hero_aimx = 1
hero_aimy = 4