;;-----------------------------LICENSE NOTICE------------------------------------
;; This file is part of IndigoGame
;; Copyright 2018 José Agulló García, David Azuar Alonso, Elza Sarrías Alieva
;;
;; IndigoGame is free software: you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; IndigoGame is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with IndigoGame.  If not, see <https://www.gnu.org/licenses/>.
;;-------------------------------------------------------------------------------

.include "cpctelera_functions.h.s"
.include "video.h.s"

start_video: .dw #0x8000

switch_buffers:
	modifier = . + 1
	ld 	l, #0x20
	call cpct_setVideoMemoryPage_asm
	ld 	hl, #modifier
	ld 	 a, #0x10
	xor (hl)
	ld 	(modifier), a

	ld 	hl, #start_video + 1
	ld 	 a, #0x40
	xor (hl)
	ld 	(start_video + 1), a

	ret

get_start_video_memory:
	ld 	hl, (start_video)
	ret	
